

@font-face{
    font-family: Fira-Sans;
    font-weight: normal;
    font-style: normal;
    src: url('font/FiraSans-Regular.ttf');
}

@font-face{
    font-family: Fira-Sans;
    font-weight: 700;
    font-style: normal;
    src: url('font/FiraSans-Bold.ttf');
}

@font-face{
    font-family: Fira-Sans;
    font-weight: 300;
    font-style: normal;
    src: url('font/FiraSans-Light.ttf');
}

:root {
    color-scheme: light;
  }

body{
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    background-image: url('image/background.jpg');
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
    font-family: Fira-Sans, Arial, Helvetica, sans-serif;
    font-size: 1rem;
    color: #FFFFFF;
    background-color: #202020;
}

.content{
    display: flex;
    flex-direction: column;

    margin: 0 auto;
    min-height: 100vh;
    max-width: 420px;
    
    filter: drop-shadow(5px 5px 10px #202020);
}

header{
    padding: 16px;
    text-align: center;
}

header img{
    height: auto;
    max-width: 520px;
    padding: 12px;
}

.gradient{
    background-image: linear-gradient(130deg, rgba(255, 200, 0, 0.9) 0%, rgba(255, 90, 0, 0.9) 50%, rgba(255, 0, 110, 0.9) 100%);
    background-clip: text;
    color: transparent;
    font-size: 32px;
    font-weight: 700;
    text-shadow: 0px 0px red;
}

.bold{
    font-weight: 700;
}

.description{
    padding: 16px;
}

.description ul{
    display: inline-block;
    text-align: left;
}

main{
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding: 22px;
    color: #FFFFFF;
}

.buttons{
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding: 22px;
    color: #FFFFFF;
}

.button{
    display: flex;
    align-items: center;
    padding: 8px;
    background-color: rgba(0,0,0,0.16);
    border: 2px solid #FFFFFF;
    border-radius: 15px;
    color: #FFFFFF;
    text-decoration: none;
    font-size: 1rem;
    cursor: pointer;
    transition: transform 70ms ease;
}

.button:active{
    transform: scale(0.98) translateY(1px);
}

.button.highlight{
    font-weight: 700;
    background: #FFC800;
    background: linear-gradient(130deg, rgba(255, 200, 0, 0.9) 0%, rgba(255, 90, 0, 0.9) 50%, rgba(255, 0, 110, 0.9) 100%);
}

.button svg{
    display: flex;
    justify-content: flex-start;
    margin: 0;
    padding: 2px;
    width: 28px;
    height: auto;
}

.buttons span{
    flex: auto;
    text-align: center;
}

.socials{
    display: flex;
    justify-content: center;
    gap: 8px;
    padding-top: 24px;
    color: #FFFFFF;
}

.socials a{
    padding: 5px;
    text-decoration: none;
    transition: transform 70ms ease;
}

.socials a:active{
    transform: scale(0.98) translateY(1px);
}

.socials svg{
    display: flex;
    justify-content: flex-start;
    margin: 0;
    padding: 0;
    width: 38px;
    height: auto;
    color:#FFFFFF;
}

footer{
    margin-top: auto;
    padding: 16px;
    text-align: center;
}

footer a{
    padding: 8px;
    color: #FFFFFF;
    text-decoration: none;
}

footer a:hover :focus-visible{
    text-decoration: underline;
}

footer p{
    margin-top: 16px;
    margin-bottom: 5px;
    font-size: 0.7rem;
    font-weight: 300;
}